Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 2799 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Informace o obvodu dilce a plocha

 Odpovědět Odpovědět archiv
Autor
maiklss Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 08.říj.2008
Lokalita: ČR (VY)
Používám:
Inventor
Stav: Offline
Bodů: 1535
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace maiklss Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Informace o obvodu dilce a plocha
    Zasláno: 19.říj.2020 v 11:27
Dobrý den jakým způsobem jde dostat informace do výkresového razítka o ploše dílce a obvodu hran dilce?
Když můžu pomůžu:)
Zpět nahoru
JDoubrava Zobrazit panel
Diskutér
Diskutér

Přihlášen: 04.kvě.2018
Lokalita: ČR (OL)
Používám:
Autocad
Stav: Offline
Bodů: 63
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace JDoubrava Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 19.říj.2020 v 12:03
To chcete na plechy? Jsou tu na to myslím tipy.

Zpět nahoru
maiklss Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 08.říj.2008
Lokalita: ČR (VY)
Používám:
Inventor
Stav: Offline
Bodů: 1535
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace maiklss Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 19.říj.2020 v 12:27
Mužů poprosit o link
Když můžu pomůžu:)
Zpět nahoru
JDoubrava Zobrazit panel
Diskutér
Diskutér

Přihlášen: 04.kvě.2018
Lokalita: ČR (OL)
Používám:
Autocad
Stav: Offline
Bodů: 63
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace JDoubrava Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 19.říj.2020 v 12:40
Zpět nahoru
maiklss Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 08.říj.2008
Lokalita: ČR (VY)
Používám:
Inventor
Stav: Offline
Bodů: 1535
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace maiklss Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 04.lis.2020 v 09:55
Super funguje. Jakým způsobem dokážu dostat plochu nátěru v mm2 či m2 do kusovníku? 
Do vykresu to jde z vlasnoti modelu ale v rozpisce tu vlasnost nikde nemůžu najít.
Když můžu pomůžu:)
Zpět nahoru
MILKA Zobrazit panel
CAD/BIM manager
CAD/BIM manager

Přihlášen: 09.bře.2005
Lokalita: ČR (HK)
Používám:
AIS 2020/WIN10
Stav: Offline
Bodů: 366
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace MILKA Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.lis.2020 v 10:16
Zdravím, mě napadá jen vytvoření uživatelské vlastnosti "povrch" v díle  =<SurfaceArea>
a tuto hodnotu volat v kusovníku
(vytvoření ivlastnosti zautomatizovat přes ilogic...)
Milan Schwarz

TMW, a.s.

Dvůr Králové n/L
Zpět nahoru
maiklss Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 08.říj.2008
Lokalita: ČR (VY)
Používám:
Inventor
Stav: Offline
Bodů: 1535
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace maiklss Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.lis.2020 v 21:00
Ano ale zde je to v cm2:(
Když můžu pomůžu:)
Zpět nahoru
MILKA Zobrazit panel
CAD/BIM manager
CAD/BIM manager

Přihlášen: 09.bře.2005
Lokalita: ČR (HK)
Používám:
AIS 2020/WIN10
Stav: Offline
Bodů: 366
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace MILKA Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.lis.2020 v 11:34
Jak kde.


Připojené náhledyPřihlaste se pro zobrazení plné verze - 428/Výstřižek_2020-11-09_11-33-41.PNG


Milan Schwarz

TMW, a.s.

Dvůr Králové n/L
Zpět nahoru
maiklss Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 08.říj.2008
Lokalita: ČR (VY)
Používám:
Inventor
Stav: Offline
Bodů: 1535
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace maiklss Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.lis.2020 v 17:12
To umim dostat do vykresu ale ja to chci  vytahnout do rozpisky
Když můžu pomůžu:)
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio s.r.o.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1452
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Navara Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.lis.2020 v 21:36
Podle mě to bez iLogicu nepůjde. 
V X-Tools je možné zapnout obsluhu událostí (například BeforeSave) a spouštět v něm následující externí pravidlo.
Pravidlo je vhodné spouštět jen nad souborem součásti.
Chování je velmi podobné standardním automatickým vlastnostem v X-Tools

'Nastaveni:
Dim areaPropertyName As String = "Plocha" ' Nazev uzivatelske iVlastnosti
Dim createMissingProperty As Boolean = False ' Vytvorit chybejici iVlastnost
Dim valueFormat As String = "0.##" ' Presnost hodnoty na dve desetinna mista
Dim conversionConstant As Double = 10 * 10 ' Prevodni konstanta jednotek cm2 => mm2

'ThisDoc.Document musi byt soucast
Dim partDoc As PartDocument = ThisDoc.Document

Dim area As Double = partDoc.ComponentDefinition.MassProperties.Area
area = area * conversionConstant

Dim userDefinedProperties As PropertySet = partDoc.PropertySets("{D5CDD505-2E9C-101B-9397-08002B2CF9AE}")

Dim areaProperty As [Property]
Try
    areaProperty = userDefinedProperties(areaPropertyName)
Catch
    If createMissingProperty Then
        areaProperty = userDefinedProperties.Add("", areaPropertyName)
    Else
        Return
    End If
End Try


Dim areaString As String = area.ToString(valueFormat)
If areaProperty.Value.ToString() <> areaString Then
    areaProperty.Value = areaString
End If

Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 10851:iLogic - jak ve výkresu zpracovat materiál a cestu součásti?
Tip 9476:Ukládání DWG kopie IDW výkresu pojmenované podle revize.
Tip 8717:Jak ve výkresu zobrazit těžiště podsestavy?
Tip 1174:Jak nakreslit kružnici s daným obvodem nebo obsahem?
Tip 9467:Automatické publikování schválených výkresů z Inventoru.
Tip 9341:Použití iLogic na rozklad jména IPT souboru a naplnění iVlastností.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,172 sekund.